GET https://api.ap1.datadoghq.com/api/v2/integrations/fastly/accounts https://api.ap2.datadoghq.com/api/v2/integrations/fastly/accounts https://api.datadoghq.eu/api/v2/integrations/fastly/accounts https://api.ddog-gov.com/api/v2/integrations/fastly/accounts https://api.us2.ddog-gov.com/api/v2/integrations/fastly/accounts https://api.datadoghq.com/api/v2/integrations/fastly/accounts https://api.us3.datadoghq.com/api/v2/integrations/fastly/accounts https://api.us5.datadoghq.com/api/v2/integrations/fastly/accounts
Overview List Fastly accounts.
This endpoint requires the integrations_read permission.
Response OK
The expected response schema when getting Fastly accounts.
Expand All
The JSON:API data schema.
Attributes object of a Fastly account.
The name of the Fastly account.
A list of services belonging to the parent account.
The ID of the Fastly service
A list of tags for the Fastly service.
The ID of the Fastly account, a hash of the account name.
The JSON:API type for this API. Should always be fastly-accounts.
Allowed enum values: fastly-accounts
default: fastly-accounts
{
"data" : [
{
"attributes" : {
"name" : "test-name" ,
"services" : [
{
"id" : "6abc7de6893AbcDe9fghIj" ,
"tags" : [
"myTag" ,
"myTag2:myValue"
]
}
]
},
"id" : "abc123" ,
"type" : "fastly-accounts"
}
]
} Bad Request
{
"errors" : [
"Bad Request"
]
} Forbidden
{
"errors" : [
"Bad Request"
]
} Not Found
{
"errors" : [
"Bad Request"
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Code Example Copy
# Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/integrations/fastly/accounts " \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY} " \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY} "
"""
List Fastly accounts returns "OK" response
"""
from datadog_api_client import ApiClient , Configuration
from datadog_api_client.v2.api.fastly_integration_api import FastlyIntegrationApi
configuration = Configuration ()
with ApiClient ( configuration ) as api_client :
api_instance = FastlyIntegrationApi ( api_client )
response = api_instance . list_fastly_accounts ()
print ( response )
Instructions First install the library and its dependencies and then save the example to example.py and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" python3 "example.py"
# List Fastly accounts returns "OK" response
require "datadog_api_client"
api_instance = DatadogAPIClient :: V2 :: FastlyIntegrationAPI . new
p api_instance . list_fastly_accounts ()
Instructions First install the library and its dependencies and then save the example to example.rb and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" rb "example.rb"
// List Fastly accounts returns "OK" response
package main
import (
"context"
"encoding/json"
"fmt"
"os"
"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)
func main () {
ctx := datadog . NewDefaultContext ( context . Background ())
configuration := datadog . NewConfiguration ()
apiClient := datadog . NewAPIClient ( configuration )
api := datadogV2 . NewFastlyIntegrationApi ( apiClient )
resp , r , err := api . ListFastlyAccounts ( ctx )
if err != nil {
fmt . Fprintf ( os . Stderr , "Error when calling `FastlyIntegrationApi.ListFastlyAccounts`: %v\n" , err )
fmt . Fprintf ( os . Stderr , "Full HTTP response: %v\n" , r )
}
responseContent , _ := json . MarshalIndent ( resp , "" , " " )
fmt . Fprintf ( os . Stdout , "Response from `FastlyIntegrationApi.ListFastlyAccounts`:\n%s\n" , responseContent )
}
Instructions First install the library and its dependencies and then save the example to main.go and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" go run "main.go"
// List Fastly accounts returns "OK" response
import com.datadog.api.client.ApiClient ;
import com.datadog.api.client.ApiException ;
import com.datadog.api.client.v2.api.FastlyIntegrationApi ;
import com.datadog.api.client.v2.model.FastlyAccountsResponse ;
public class Example {
public static void main ( String [] args ) {
ApiClient defaultClient = ApiClient . getDefaultApiClient ();
FastlyIntegrationApi apiInstance = new FastlyIntegrationApi ( defaultClient );
try {
FastlyAccountsResponse result = apiInstance . listFastlyAccounts ();
System . out . println ( result );
} catch ( ApiException e ) {
System . err . println ( "Exception when calling FastlyIntegrationApi#listFastlyAccounts" );
System . err . println ( "Status code: " + e . getCode ());
System . err . println ( "Reason: " + e . getResponseBody ());
System . err . println ( "Response headers: " + e . getResponseHeaders ());
e . printStackTrace ();
}
}
}
Instructions First install the library and its dependencies and then save the example to Example.java and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" java "Example.java"
// List Fastly accounts returns "OK" response
use datadog_api_client ::datadog ;
use datadog_api_client ::datadogV2 ::api_fastly_integration ::FastlyIntegrationAPI ;
#[tokio::main]
async fn main () {
let configuration = datadog ::Configuration ::new ();
let api = FastlyIntegrationAPI ::with_config ( configuration );
let resp = api . list_fastly_accounts (). await ;
if let Ok ( value ) = resp {
println! ( " {:#?} " , value );
} else {
println! ( " {:#?} " , resp . unwrap_err ());
}
}
Instructions First install the library and its dependencies and then save the example to src/main.rs and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" cargo run
/**
* List Fastly accounts returns "OK" response
*/
import { client , v2 } from "@datadog/datadog-api-client" ;
const configuration = client . createConfiguration ();
const apiInstance = new v2 . FastlyIntegrationApi ( configuration );
apiInstance
. listFastlyAccounts ()
. then (( data : v2.FastlyAccountsResponse ) => {
console . log (
"API called successfully. Returned data: " + JSON . stringify ( data )
);
})
. catch (( error : any ) => console . error ( error ));
Instructions First install the library and its dependencies and then save the example to example.ts and run following commands:
DD_SITE = "datadoghq.com us3.datadoghq.com us5.datadoghq.com datadoghq.eu ap1.datadoghq.com ap2.datadoghq.com ddog-gov.com us2.ddog-gov.com " DD_API_KEY = "<API-KEY>" DD_APP_KEY = "<APP-KEY>" tsc "example.ts"